1- I want to be able to insert an ipart ( only sketch) into an assembly and run frame generator.
2- If I have to change the component in the assembly I want to be able to click the ipart table with the right button of the mouse and choose "change component".
I know how to get the "work features" to show up in the assembly however, I would like to to be able to utilize the UCS if possible. When I try to use the iPart Author to select the Work Features the UCS doesn't show up.
We are just in the process of upgrading to Inventor 2013. While migrating our iParts, the origin work planes from the part part suddenly appear in some of the children. In the browser they show up under the iPart parent entry and will have names such as "YZ Plane_1". The visibility of all of the origin work features in the parent are turned off. In the children I can right click on these work planes but there is no option to turn off their visibility. And of course I can't even turn off general categories of object visibility in the children because that function is greyed out.
Is this behavior normal/new in IV 2013? Is there anyway I can turn off these origin planes in the iPart children?
I have an Ipart I created and in some of the parts there is a swept feature. In other configurations it is suppressed.
The issue is that the 3D sketch for the sweep gets broken going to/from the configuration. The path is generated from an extruded cut that is also supressed.
I tried to recreate the sweep using a different sketch, but that wasn't successfull.
Is this a bug or is there a different aproach I can use?
There are times with a breakout that it is desirable to have the sketch used to create the breakout visible to make it clearer on what's going on. When I right-click on the sketch in the browser there is no option for visibility. How do I make this sketch visible?
I'm making a part and am adding features to it and using my existing sketch dimensions as my guide. The problem is that when there are sketch dimensions on the face of the part, they are difficult to read. I'm forever dragging these dims to the side in order to read them, it's just a bit annoying. I was wonering if there was a setting that made them show up as well as they do when the aren't sitting on the face of my parts. I've attached a .jpg of what I'm talking about. notice the dimension on the left side and the bottom.
I've created a shared sketch and have used it with various features. Sometime those features are suppressed. The model works fine but the shared sketch generates a sketch doctor error because the feature that created it has been suppressed. Is there anyway to make the sketch suppressed so it doesn't trigger a sketch doctor error? Inventor 2013
How do I duplicate the 2D line work from a part level sketch into a drawing level (overlay) sketch?
I started a simple 2D piping system diagram sketch by opening a new part file and using a sketch to stick draw the system schematic including some annotations. Then I opened a new drawing file and made a base view of the part file to bring a view of the original sketch into the drawing.
I realize now that it would have been much easier to have created the schematic directly in a 2D sketch at the drawing level, which would have made editing the annotations much easier at the drawing level, and there is really no need for the part file to exist. I have no intention of creating a 3D model or "real" part in the .ipt file, was just using it as a jumping off point to sketch.
I was thinking that I could correct my error in judgment by just copying the sketch and pasting it into a new sketch on the drawing, but it doesn't want to work that way. I have tried copying both the whole sketch at the browser level, and the entire sketch contents (all of the lines and annotations) from the opened part sketch, but when I attempt to paste either of those into the drawing, paste does not seem to be an option. I'd rather not have to draw the whole thing again, as in typical fashion, my once simple sketch has grown in proportion and complexity from its simple beginning.
I'm having trouble with constaints, I'd like to constrain my sketch to a point in another sketch on a different plane. Is this posible in Inventor? If so how? If Inventor works differently how would you get a points in one sketch to be linked to points another?
How do I change the BOM structure of iParts from Normal to Purchased? The BOM editor in the assemblies that use the iParts have the iParts as read only. I can't find a way to change them to purchased from inside the iPart either.
I've made a component pattern in an assembly using an iPart. The iPart as several different lengths, but I cannot switch lengths in the assembly. In other assemblies, right clicking on the Table icon allows me to change lengths, but this assembly will not.
In C++ can I use this function, using the key index Member string to select which row in the factory I want to insert?
In the docs all I see is Use an iPartTableRow (but no examples in C++).
Use an index, this works but I need to know the index before using it.Use a set of parameters in a string (but "[Member=142314]" does not seem to work. Can I not simple use a string with the appropriate member?
Can I use diferrent types of threads (as variants), in one iPart/iFeature file, ex. M10x1.5 (ISO Metric profile) and G1/8" (ISO Pipe Threads)? Look at the file in attachment and correct it if possible.
I have created an ipart and want to create a right hand and left hand option of that part. I can mirror the features involved and suppress the mirror feature for the the RH part and so the RH version looks fine.
BUT if the mirror feature for the LH version is in the compute state I get both handing showing. How do I suppress one handing and leave the other for my RH version.
Is it possible to add a Appearance tab to a Ipart table? I am cataloging a set of parts and one part is made with steel but in Gloss - Black and Matte - Black and i'd like to differentiate the 2 without haveing to make 2 seperate Ipart files.
I have listbox that shows ipartname of one ipartfactory it would like and me that when selecting one of them it could send to the assembly ipart selected hear show code.
Dim InvApp As Inventor.ApplicationSet InvApp = GetObject(, "Inventor.Application") Dim IpartSeleccion As ipartMemberSet IpartSeleccion = listbox1.Value Dim oDoc As AssemblyDocumentSet oDoc = InvApp.ActiveDocument Dim oOccs As ComponentOccurrencesSet oOccs = oDoc.ComponentDefinition.Occurrences
I'm trying to take multiple parts of the same type and make them into one .ipt I began doing this and It seemed to be working fine. When I put those grouped .ipts into an .iam, Inventor creates a Subfolder of each .ipt and fills it with each part from that group and now those created ipts are unique unlinked parts (unlinked to the group ipt). I'm trying to reduce our file count and link our .ipts and .idws/.dwgs so this Inventor file creator results in the opposite of what I'm looking for. My question now is is there any way to modify this process to work the way I need it to or is there a completely different way that I should be doing this?
How can I get the iPart information in a partlist.
I have a tupe DN 25 iPart where I can control the length, and i'll like to have a text I description field in my partlist that says "DN 25, Length = <actual length>".